<?php
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/classes/Produto.class.php");
	require_once($dir."/classes/Dados.class.php");
	
	class ProdutoDAO {
		
		public function lkpProduto($filtro){
			$dados = new Dados();
			
			$sql = "select first 30 CODPRODUTO, PRODUTO 
					from PRODUTOS 
					where SITUACAO = 'A' ".
					$dados->ifthen($filtro, " and CODPRODUTO || ' - ' || PRODUTO containing '".$filtro."'", "")."
					order by 2 ";
			$array = $dados->SelectSQL($sql);
			foreach ($array as $row){
				$novoProduto = new Produto();
				$novoProduto->setCodproduto($row["CODPRODUTO"]);
				$novoProduto->setProduto($row["PRODUTO"]);
				$produtos[] = $novoProduto;
			}
			return $produtos;
		}
		
	}
	
?>